petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMSetCoordinateDim

Set the dimension of the embedding space for coordinate values.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMSetCoordinateDim(DM dm, PetscInt dim)

Not Collective

### Input Parameters

| dm | - The DM object
| dim | - The embedding dimension

### Keywords

mesh, coordinates

### See Also

DMGetCoordinateDim(), DMSetCoordinateSection(), DMGetCoordinateSection(), DMGetDefaultSection(), DMSetDefaultSection()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages